apply plugin: "com.android.application"
apply plugin: "org.jetbrains.kotlin.android"

android {
    namespace "dev.yuzu.gca"
    compileSdk 35

    defaultConfig {
        applicationId "dev.yuzu.gca"
        minSdk 24
        targetSdk 35
        versionCode 5
        versionName "0.1.0"
    }

    buildTypes {
        release { minifyEnabled false }
        debug { debuggable true }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }

    kotlinOptions { jvmTarget = "17" }

    applicationVariants.all { variant ->
        variant.outputs.all {
            outputFileName = "v${variant.versionName}-dav-android-${variant.versionCode}-${variant.buildType.name}.apk"
        }
    }
}

dependencies {
    implementation "org.jetbrains.kotlin:kotlin-stdlib:2.0.21"
    implementation "androidx.appcompat:appcompat:1.7.0"
    implementation "androidx.core:core:1.15.0"
    implementation "org.jetbrains.kotlinx:kotlinx-coroutines-android:1.9.0"
}
